#!/bin/bash
 
MYDIR=`pwd`

# ###################################
BINNAME=$RUNMC"/proj/hztoolv4/lib/libhztoolv4.a"

# make lib directory 
if [ ! -x  $RUNMC"/proj/hztoolv4/lib"  ]
then
    mkdir $RUNMC"/proj/hztoolv4/lib" 
else
    echo "lib directory already exists"
fi



# if exists - done 
if [ ! -f "$BINNAME" ]
then
    cd cmd; make -f Makefile 
    pid=$!;  wait $pid;
else
    echo "HZtoolv4 library already exists"
fi

cd $MYDIR
exit 0
